| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GL

# Method GL.glMultMatrix()

Method glMultMatrix

  `void glMultMatrix(array(array(float|int)) m)`

Description

  glMultMatrix multiplies the current matrix with the one specified using m, and replaces the current matrix with the product.

  The current matrix is determined by the current matrix mode (see glMatrixMode ). It is either the projection matrix, modelview matrix, or the texture matrix.

Parameter `m`

  Points to 16 consecutive values that are used as the elements of a 4 times 4 column-major matrix.

Throws

  GL_INVALID_OPERATION is generated if glMultMatrix is executed between the execution of glBegin and the corresponding execution of glEnd .